'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Page;

var _react = require('react');

var _script = require('./script');

var _script2 = _interopRequireDefault(_script);

var _style = require('./style');

var _style2 = _interopRequireDefault(_style);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Global 'page' object used to render every page.
 * @returns {Element} Generated page.
 */
function Page(_ref) {
  var _ref$markup = _ref.markup;
  var markup = _ref$markup === undefined ? '' : _ref$markup;
  var _ref$scripts = _ref.scripts;
  var scripts = _ref$scripts === undefined ? [] : _ref$scripts;
  var _ref$styles = _ref.styles;
  var styles = _ref$styles === undefined ? [] : _ref$styles;
  var _ref$title = _ref.title;
  var title = _ref$title === undefined ? '' : _ref$title;
  var _ref$path = _ref.path;
  var path = _ref$path === undefined ? '/' : _ref$path;
  var _ref$locale = _ref.locale;
  var locale = _ref$locale === undefined ? 'en-US' : _ref$locale;

  return (0, _react.createElement)(
    'html',
    { lang: locale },
    (0, _react.createElement)(
      'head',
      null,
      (0, _react.createElement)('meta', { charSet: 'utf-8' }),
      (0, _react.createElement)('meta', { httpEquiv: 'X-UA-Compatible', content: 'IE=edge,chrome=1' }),
      (0, _react.createElement)('meta', { name: 'viewport',
        content: 'width=device-width, initial-scale=1.0, maximum-scale=1' }),
      (0, _react.createElement)('meta', { name: 'apple-mobile-web-app-capable', content: 'yes' }),
      (0, _react.createElement)(
        'title',
        null,
        title
      ),
      styles.map(function (style, i) {
        return (0, _react.createElement)(_style2.default, _extends({ key: i }, style));
      })
    ),
    (0, _react.createElement)(
      'body',
      { 'data-path': path },
      (0, _react.createElement)('div', { id: 'content', dangerouslySetInnerHTML: { __html: markup } }),
      scripts.map(function (script, i) {
        return (0, _react.createElement)(_script2.default, _extends({ key: i }, script));
      })
    )
  );
}
//# sourceMappingURL=page.js.map