'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setTitle = exports.httpError = exports.httpRequest = undefined;

var _types = require('./action/types');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var initialState = {
  path: '/',
  locale: 'en-us',
  title: 'React Redux Render',
  status: 200
};

var httpRequest = exports.httpRequest = function httpRequest(state, _ref) {
  var payload = _ref.payload;
  return _extends({}, state, {
    path: payload.url,
    locale: payload.locale
  });
};

var httpError = exports.httpError = function httpError(state, _ref2) {
  var err = _ref2.payload.err;
  return _extends({}, state, {
    status: err.status || err.statusCode || 500
  });
};

var setTitle = exports.setTitle = function setTitle(state, _ref3) {
  var payload = _ref3.payload;
  return _extends({}, state, {
    title: payload
  });
};

exports.default = function () {
  var _map;

  var state = arguments.length <= 0 || arguments[0] === undefined ? initialState : arguments[0];
  var action = arguments[1];

  var map = (_map = {}, _defineProperty(_map, _types.HTTP_REQUEST, httpRequest), _defineProperty(_map, _types.HTTP_ERROR, httpError), _defineProperty(_map, _types.SET_TITLE, setTitle), _defineProperty(_map, 'default', function _default(state) {
    return state;
  }), _map);

  return (map[action.type] || map.default)(state, action);
};
//# sourceMappingURL=reducer.js.map